summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Spycrowsoft <spycrowsoft [ at ] gmail [ dot ] com>2020-02-08 08:45:52 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2020-02-08 13:39:33 +0700
commit741cf90584ae21d753d55297cec431d94fee831a (patch)
tree5f9e0a1b7180f1c60f4fdce72b4b58389475c797
parent64bca85513fded2398f197ffa572da92bf817a37 (diff)
downloadslackbuilds-741cf90584ae21d753d55297cec431d94fee831a.tar.gz
slackbuilds-741cf90584ae21d753d55297cec431d94fee831a.tar.xz
network/resilio-sync: Added (Sync All Your Data Across Devices).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--network/resilio-sync/README17
-rw-r--r--network/resilio-sync/resilio-sync.SlackBuild85
-rw-r--r--network/resilio-sync/resilio-sync.info10
-rw-r--r--network/resilio-sync/rslsync-usermode7
-rw-r--r--network/resilio-sync/slack-desc19
5 files changed, 138 insertions, 0 deletions
diff --git a/network/resilio-sync/README b/network/resilio-sync/README
new file mode 100644
index 0000000000..ea38d34a4c
--- /dev/null
+++ b/network/resilio-sync/README
@@ -0,0 +1,17 @@
+Resilio Sync (formerly BitTorrent Sync) by Resilio, Inc. is a
+proprietary peer-to-peer file synchronization tool available for
+Windows, Mac, Linux, Android, iOS, Windows Phone, Amazon Kindle Fire
+and BSD. It can sync files between devices on a local network, or
+between remote devices over the Internet via a modified version of
+the BitTorrent protocol.
+
+If you want to run Resilio Sync as a service, you need to have an
+rslsync user and group prior to running the service.
+Something like this will suffice for most systems:
+
+groupadd -g 364 rslsync
+useradd -u 364 -g rslsync -d /dev/null -s /bin/false rslsync
+
+If you want to run rslsync as a regular user, you do not need an
+extra system user. You can conveniently start rslsync in user mode
+by using the provided rslsync-usermode script.
diff --git a/network/resilio-sync/resilio-sync.SlackBuild b/network/resilio-sync/resilio-sync.SlackBuild
new file mode 100644
index 0000000000..5db2b30563
--- /dev/null
+++ b/network/resilio-sync/resilio-sync.SlackBuild
@@ -0,0 +1,85 @@
+#!/bin/sh
+
+# Slackware build script for resilio-sync
+
+# Copyright 2020
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=resilio-sync
+VERSION=${VERSION:-2.6.4.1344}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ LIBDIRSUFFIX=""
+ SRCSUFFIX="i386"
+elif [ "$ARCH" = "i686" ]; then
+ LIBDIRSUFFIX=""
+ SRCSUFFIX="i386"
+elif [ "$ARCH" = "x86_64" ]; then
+ LIBDIRSUFFIX="64"
+ SRCSUFFIX="amd64"
+else
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir -p $PRGNAM-$VERSION
+cd $PKG
+ar p $CWD/$PRGNAM\_$VERSION-$BUILD\_$SRCSUFFIX.deb data.tar.xz | tar xJv
+
+# Delete unnecessary systemd service-files
+rm -r $PKG/lib $PKG/usr/lib
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+cat $CWD/rslsync-usermode > $PKG/usr/bin/rslsync-usermode
+chmod 755 $PKG/usr/bin/rslsync-usermode
+
+mv $PKG/usr/share/man $PKG/usr/man
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/resilio-sync/resilio-sync.info b/network/resilio-sync/resilio-sync.info
new file mode 100644
index 0000000000..19eec7ff58
--- /dev/null
+++ b/network/resilio-sync/resilio-sync.info
@@ -0,0 +1,10 @@
+PRGNAM="resilio-sync"
+VERSION="2.6.4.1344"
+HOMEPAGE="https://www.resilio.com/individuals/"
+DOWNLOAD="https://download-cdn.resilio.com/2.6.4.1344/Debian/resilio-sync_2.6.4.1344-1_i386.deb"
+MD5SUM="88c772375315a0682bff5376da96bb95"
+DOWNLOAD_x86_64="https://download-cdn.resilio.com/2.6.4.1344/Debian/resilio-sync_2.6.4.1344-1_amd64.deb"
+MD5SUM_x86_64="ddc3facc1ac96842264d510d6ff632cc"
+REQUIRES=""
+MAINTAINER="Spycrowsoft"
+EMAIL="spycrowsoft [ at ] gmail [ dot ] com"
diff --git a/network/resilio-sync/rslsync-usermode b/network/resilio-sync/rslsync-usermode
new file mode 100644
index 0000000000..c3f7b96d7a
--- /dev/null
+++ b/network/resilio-sync/rslsync-usermode
@@ -0,0 +1,7 @@
+#!/bin/bash
+
+# This script conveniently starts Resilio-Sync in user-mode.
+
+/etc/resilio-sync/init_user_config.sh
+
+rslsync --config $HOME/.config/resilio-sync/config.json
diff --git a/network/resilio-sync/slack-desc b/network/resilio-sync/slack-desc
new file mode 100644
index 0000000000..f301c16178
--- /dev/null
+++ b/network/resilio-sync/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+resilio-sync: Resilio Sync (Sync All Your Data Across All Your Devices)
+resilio-sync:
+resilio-sync: Resilio Sync Home is a simple yet full featured solution for file sync
+resilio-sync: and sharing that's powered by P2P technology for fast and secure
+resilio-sync: transfers.
+resilio-sync:
+resilio-sync: https://www.resilio.com/individuals/
+resilio-sync:
+resilio-sync:
+resilio-sync:
+resilio-sync: